include <base.scad>;
include <servo/horn.scad>;
include <gimbal/config.scad>;

use <gimbal/gimbal.scad>; 
use <servo/sg9.scad>;
use <strengthen/servo.scad>;
use <base_plate/plate.scad>;
use <leg_pos.scad>;
use <gimbal_pos.scad>;



module battery() {
    color("blue")
        translate(battery_offset)
                translate([0, 0, -battery_dim[2]/2])
                    cube(battery_dim, center=true);
}

module raspbpi(){
    color("green")
    translate(rpi_offset)
    translate([11, 0, 0])
        import( "B+_Model_v4.stl" );
}




module body(){
    color("gray"){
        
        top_leg_plate();
        bottom_leg_plate();
    }

    battery();
    
    
    translate([0, 0, 25]){
	rotate([180, 0, 0])
        	raspbpi();
    }

    translate(cam_base_pos) 
        camera_base();

}

module model() {

    union(){

        body();

        legs();

        gimbal_pos();

    }

}

model();

